<?xml version="1.0" encoding="windows-1251"?>
<!-- edited with XML Spy v3.5 NT (http://www.xmlspy.com) by DkmS (Home) -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="text" encoding="windows-1251"/>
  <!--
     ()    , 
    XSLProcessor.input
      xslt.stylesheet  
  -->
  <xsl:template match="*">
    <xsl:apply-templates select="method|property|event">
      <xsl:sort select="translate(@name,'~','')"/> <!-- 'Z' to move eventhandlers down -->
    </xsl:apply-templates>
  </xsl:template>
  <xsl:template match="method">
    <xsl:value-of select="@name"/>
    <xsl:text>()</xsl:text>
    <xsl:if test="@description">
      <xsl:text> => </xsl:text>
      <xsl:value-of select="substring(@description,1,60)"/>
    </xsl:if>
    <xsl:if test="@inheritedfrom"><xsl:value-of select="concat(' (::',@inheritedfrom,')')"/></xsl:if>
    <xsl:text>&#xA;</xsl:text>
  </xsl:template>
  <xsl:template match="property">
    <xsl:value-of select="@name"/>
    <xsl:if test="@description">
      <xsl:text> => </xsl:text>
      <xsl:value-of select="substring(@description,1,60)"/>
    </xsl:if>
    <xsl:if test="@inheritedfrom"><xsl:value-of select="concat(' (::',@inheritedfrom,')')"/></xsl:if>
    <xsl:text>&#xA;</xsl:text>
  </xsl:template>
  <xsl:template match="event">
    <xsl:value-of select="concat('~',@name)"/>
    <xsl:text>()</xsl:text>
    <xsl:if test="@description">
      <xsl:text> => </xsl:text>
      <xsl:value-of select="substring(@description,1,60)"/>
    </xsl:if>
    <xsl:if test="@inheritedfrom"><xsl:value-of select="concat(' (::',@inheritedfrom,')')"/></xsl:if>
    <xsl:text>&#xA;</xsl:text>
  </xsl:template>
</xsl:stylesheet>
