<?xml version='1.0' encoding="windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="windows-1251"/>
<xsl:template match="/">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=windows-1251"/>
  <meta http-equiv="Content-Language" content="ru"/>
  <title>S&amp;S Help - DkmS Production</title>
<style>
.grp {
BORDER-BOTTOM: #9999cc 1px outset; BORDER-LEFT: #9999cc 1px outset; BORDER-RIGHT: #9999cc 1px outset; BORDER-TOP: #9999cc 1px outset
  }
.hdr {BORDER-BOTTOM: #9999cc 1px outset;cursor:hand;color:DARKBLUE; font:bold; }
.hdrLL {
cursor: hand;
BACKGROUND-COLOR: #cccccc; BORDER-BOTTOM: #9999cc 3px outset; BORDER-LEFT: #9999cc 3px outset;
BORDER-RIGHT: #9999cc 3px outset; BORDER-TOP: #9999cc 3px outset;
text-align: center;WIDTH: 0; font: bold 13 'Comic Sans MS' ; color=#000066;border-color:AQUA
}
.lst  { BORDER-LEFT: #9999cc 1px outset  }
.hddn { display: none;}
.showed { display: block;}
.fmps { background-color: AQUA; color:DARKBLUE; font:bold;font-family: monospace;}
.desc { background-color: transparent; color:LIGHTYELLOW; font:normal;font-family: cursive;font-size:smaller}
.descB{ background-color: transparent; color:black; font:normal;font-family: cursive;font-size:smaller}
TABLE { padding: 0;}
div#data {
background-color: #204468;
}
div#text{background-color:white;}
BODY {
margin: 0;
margin-left:1em;
background-color: #204468;
scrollbar-face-color : #99CCFF;
scrollbar-shadow-color : #204468;
scrollbar-highlight-color : #99CCFF;
scrollbar-3dlight-color : #204468;
scrollbar-darkshadow-color : #204468;
scrollbar-track-color : #204468;
scrollbar-arrow-color : #003366
}
</style></head>
<body>
<div id="text"/>
<div id="data">
 <xsl:text>&#xA;</xsl:text>
 <table border="0">
  <xsl:if test="//language">
  <tr><td class="hdrLL" colspan="2"
  onclick="document.all.lang_table.className=(document.all.lang_table.className=='hddn')?'showed':'hddn';"
  >Languages&#160;[<xsl:value-of select="count(//language)"/>]</td></tr>
  <tr><td><table id="lang_table" class="hddn" border="0" width="100%">
  <xsl:apply-templates select="//language">
    <xsl:sort select="@name"/>
  </xsl:apply-templates>
    </table></td>
  </tr>
  </xsl:if>
  <xsl:if test="//library">
    <tr><td class="hdrLL" colspan="2"
    onclick="document.all.lib_table.className=(document.all.lib_table.className=='hddn')?'showed':'hddn';"
    >Libraries&#160;[<xsl:value-of select="count(//library)"/>]</td></tr>
    <tr><td><table id="lib_table" class="hddn" border="0" width="100%">
    <xsl:apply-templates select="//library">
      <xsl:sort select="@name"/>
    </xsl:apply-templates>
      </table></td>
    </tr>
  </xsl:if>
  </table></div></body></html>
</xsl:template>
<!--   -->
<xsl:template match="language">
  <xsl:variable name="CurLang" select="@name"/>
  <tr>
  <!-- <td class="hdr" colspan="2" bgcolor="ORANGE"> -->
  <xsl:element name="td">
    <xsl:attribute name="class">hdr</xsl:attribute>
    <xsl:attribute name="colspan">2</xsl:attribute>
    <xsl:attribute name="bgcolor">ORANGE</xsl:attribute>
    <xsl:attribute name="onclick">
    document.all.<xsl:value-of select="$CurLang"/>_elems.style.display=(document.all.<xsl:value-of select="$CurLang"/>_elems.style.display=='none')?'block':'none';
    </xsl:attribute>
    <xsl:value-of select="@name"/>
      <xsl:if test="@description">
        &#160;&#160;<span class="descB"><xsl:value-of select="@description"/></span>
      </xsl:if>
  </xsl:element>
  <!--/td-->
  </tr>
    <!-- <tr id=CurLang_elems ... -->
    <xsl:element name="tr">
      <xsl:attribute name="id"><xsl:value-of select="$CurLang"/>_elems</xsl:attribute>
      <xsl:attribute name="style">display:none</xsl:attribute>
    <td><table>
    <!--   -->
    <xsl:if test="function">
    <td>&#160;&#160;&#160;&#160;</td><td>
    <table><tr>
      <xsl:element name="td">
        <xsl:attribute name="class">hdr</xsl:attribute>
        <xsl:attribute name="colspan">2</xsl:attribute>
        <xsl:attribute name="bgcolor">BISQUE</xsl:attribute>
        <xsl:attribute name="onclick">
        document.all.<xsl:value-of select="$CurLang"/>_func_table.style.display=(document.all.<xsl:value-of select="$CurLang"/>_func_table.style.display=='none')?'block':'none';
        </xsl:attribute>
        Functions&#160;[<xsl:value-of select="count(function)"/>]
      </xsl:element>
      </tr>
      <xsl:element name="tr">
        <xsl:attribute name="id"><xsl:value-of select="$CurLang"/>_func_table</xsl:attribute>
        <xsl:attribute name="style">display:none</xsl:attribute>
        <td>&#160;&#160;&#160;&#160;</td><td>
        <xsl:element name="table">
          <xsl:attribute name="class">lst</xsl:attribute>
          <xsl:attribute name="width">100%</xsl:attribute>
          <xsl:apply-templates select="function">
            <xsl:sort select="@name"/>
          </xsl:apply-templates>
        </xsl:element>
        </td>
      </xsl:element>
      <!-- <tr id=CurLang_func_table ... -->
    </table></td>
    </xsl:if>
    <!--   -->
    <xsl:if test="object">
    <tr><td>&#160;&#160;&#160;&#160;</td><td>
    <table border="0">
      <tr>
      <xsl:element name="td">
        <xsl:attribute name="class">hdr</xsl:attribute>
        <xsl:attribute name="colspan">2</xsl:attribute>
        <xsl:attribute name="bgcolor">BISQUE</xsl:attribute>
        <xsl:attribute name="onclick">
        document.all.<xsl:value-of select="$CurLang"/>_obj_table.style.display=(document.all.<xsl:value-of select="$CurLang"/>_obj_table.style.display=='none')?'block':'none';
        </xsl:attribute>
        Objects&#160;[<xsl:value-of select="count(object)"/>]
      </xsl:element>
      </tr>
      <!-- <tr id=CurLang_obj_table ...--> 
      <xsl:element name="tr">
        <xsl:attribute name="id"><xsl:value-of select="$CurLang"/>_obj_table</xsl:attribute>
        <xsl:attribute name="style">display:none</xsl:attribute>
        <td>&#160;&#160;&#160;&#160;</td><td>
        <xsl:element name="table">
          <xsl:attribute name="class">lst</xsl:attribute>
          <xsl:attribute name="width">100%</xsl:attribute>
          <xsl:apply-templates select="object">
            <xsl:with-param name="ParentName" select="$CurLang"/>
            <xsl:sort select="@name"/>
          </xsl:apply-templates>
        </xsl:element>
        </td>
      </xsl:element>
      <!-- ### <tr id=CurLang_obj_table ... -->
    </table>
    </td></tr>
    </xsl:if>
    <!--    -->
    <xsl:if test="statement">
    <td>&#160;&#160;&#160;&#160;</td><td>
    <table border="0">
      <tr>
      <xsl:element name="td">
        <xsl:attribute name="class">hdr</xsl:attribute>
        <xsl:attribute name="colspan">2</xsl:attribute>
        <xsl:attribute name="bgcolor">BISQUE</xsl:attribute>
        <xsl:attribute name="onclick">
        document.all.<xsl:value-of select="$CurLang"/>_stat_table.style.display=(document.all.<xsl:value-of select="$CurLang"/>_stat_table.style.display=='none')?'block':'none';
        </xsl:attribute>
        Statements&#160;[<xsl:value-of select="count(statement)"/>]
      </xsl:element>
      </tr>
      <!-- <tr id=CurLang_stat_table ... -->
      <xsl:element name="tr">
        <xsl:attribute name="id"><xsl:value-of select="$CurLang"/>_stat_table</xsl:attribute>
        <xsl:attribute name="style">display:none</xsl:attribute>
        <td>&#160;&#160;&#160;&#160;</td><td>
        <xsl:element name="table">
          <xsl:attribute name="class">lst</xsl:attribute>
          <xsl:attribute name="width">100%</xsl:attribute>
          <xsl:apply-templates select="statement">
            <xsl:sort select="@name"/>
          </xsl:apply-templates>
        </xsl:element>
        </td>
      </xsl:element>
      <!-- ### <tr id=CurLang_stat_table ... -->
    </table>
    </td>
    </xsl:if>
    </table></td>
    </xsl:element>
  <xsl:text>&#xA;</xsl:text>
</xsl:template>

<xsl:template match="function|method|event">
  <tr>
  <xsl:element name="td">
    <xsl:attribute name="class">fmps</xsl:attribute> 
    <xsl:if test="@inheritedfrom">
      <xsl:attribute name="title">Inherited from <xsl:value-of select="@inheritedfrom"/></xsl:attribute>  
    </xsl:if>
    <xsl:value-of select="@name"/>
    <xsl:text>( </xsl:text><xsl:apply-templates select="parameter"/><xsl:text> )</xsl:text>
    <xsl:text> : </xsl:text><xsl:value-of select="@valtype"/>
  </xsl:element>
  <xsl:if test="@description">
  <td class="desc"><xsl:value-of select="@description"/></td>
  </xsl:if>
  </tr>
  <xsl:text>&#xA;</xsl:text>
</xsl:template>

<xsl:template match="parameter">
  <xsl:value-of select="@name"/><xsl:if test="position()!=last()">, </xsl:if>
</xsl:template>

<xsl:template match="statement">
  <tr><td class="fmps">
  <xsl:value-of select="@name"/>
  </td>
  <xsl:if test="@description">
  <td class="desc"><xsl:value-of select="@description"/></td>
  </xsl:if>
  </tr>
  <xsl:text>&#xA;</xsl:text>
</xsl:template>

<xsl:template match="property">
  <tr>
  <xsl:element name="td">
    <xsl:attribute name="class">fmps</xsl:attribute> 
    <xsl:if test="@inheritedfrom">
      <xsl:attribute name="title">Inherited from <xsl:value-of select="@inheritedfrom"/></xsl:attribute>  
    </xsl:if>
    <xsl:value-of select="@name"/><xsl:text> : </xsl:text><xsl:value-of select="@valtype"/>
  </xsl:element>
  <xsl:if test="@description">
  <td class="desc"><xsl:value-of select="@description"/></td>
  </xsl:if>
  </tr>
  <xsl:text>&#xA;</xsl:text>
</xsl:template>

<xsl:template match="object">
  <xsl:param name="ParentName"/>
  <xsl:variable name="CurObjName" select="@name"/>
  <tr>
  <!-- <td class="hdr" colspan="2" bgcolor="AQUAMARINE"> -->
  <xsl:element name="td">
    <xsl:attribute name="class">hdr</xsl:attribute>
    <xsl:attribute name="colspan">2</xsl:attribute>
    <xsl:attribute name="bgcolor">AQUAMARINE</xsl:attribute>
    <xsl:attribute name="onclick">
    document.all.<xsl:value-of select="concat($ParentName,'_',$CurObjName)"/>_elems.style.display=(document.all.<xsl:value-of select="concat($ParentName,'_',$CurObjName)"/>_elems.style.display=='none')?'block':'none';
    </xsl:attribute>
    <xsl:value-of select="@name"/>
    <xsl:if test="@description">&#160;&#160;<span class="descB"><xsl:value-of select="@description"/></span></xsl:if>
  </xsl:element>
  </tr>
    <!-- <tr id=Par_CurObj_elems ... -->
    <xsl:element name="tr">
      <xsl:attribute name="id"><xsl:value-of select="concat($ParentName,'_',$CurObjName)"/>_elems</xsl:attribute>
      <xsl:attribute name="style">display:none</xsl:attribute>
      <td>
      <table>
      <xsl:if test="method">
      <td>&#160;&#160;&#160;&#160;</td>
      <td><table>
        <tr>
        <xsl:element name="td">
          <xsl:attribute name="class">hdr</xsl:attribute>
          <xsl:attribute name="colspan">2</xsl:attribute>
          <xsl:attribute name="bgcolor">BISQUE</xsl:attribute>
          <xsl:attribute name="onclick">
          document.all.<xsl:value-of select="concat($ParentName,'_',$CurObjName)"/>_meth_table.style.display=(document.all.<xsl:value-of select="concat($ParentName,'_',$CurObjName)"/>_meth_table.style.display=='none')?'block':'none';
          </xsl:attribute>
          Methods&#160;[<xsl:value-of select="count(method)"/>]
        </xsl:element>
        </tr>
        <!-- <tr id=CurObj_meth_table ... -->
        <xsl:element name="tr">
          <xsl:attribute name="id">
            <xsl:value-of select="concat($ParentName,'_',$CurObjName)"/>_meth_table</xsl:attribute>
            <xsl:attribute name="style">display:none</xsl:attribute>
          <td>&#160;&#160;&#160;&#160;</td><td>
          <xsl:element name="table">
            <xsl:attribute name="class">lst</xsl:attribute>
            <xsl:attribute name="width">100%</xsl:attribute>
            <xsl:apply-templates select="method">
              <xsl:sort select="@name"/>
            </xsl:apply-templates>
          </xsl:element>
          </td>
        </xsl:element>
        <!-- ### <tr id=CurObj_meth_table ... -->
      </table></td>
      </xsl:if>
      <xsl:if test="property">
      <tr><td>&#160;&#160;&#160;&#160;</td><td>
      <table>
        <tr>
        <xsl:element name="td">
          <xsl:attribute name="class">hdr</xsl:attribute>
          <xsl:attribute name="colspan">2</xsl:attribute>
          <xsl:attribute name="bgcolor">BISQUE</xsl:attribute>
          <xsl:attribute name="onclick">
          document.all.<xsl:value-of select="concat($ParentName,'_',$CurObjName)"/>_prop_table.style.display=(document.all.<xsl:value-of select="concat($ParentName,'_',$CurObjName)"/>_prop_table.style.display=='none')?'block':'none';
          </xsl:attribute>
          Properties&#160;[<xsl:value-of select="count(property)"/>]
        </xsl:element>
        </tr>
        <!-- <tr id=CurObj_prop_table ... -->
        <xsl:element name="tr">
          <xsl:attribute name="id">
            <xsl:value-of select="concat($ParentName,'_',$CurObjName)"/>_prop_table</xsl:attribute>
          <xsl:attribute name="style">display:none</xsl:attribute>
          <td>&#160;&#160;&#160;&#160;</td><td>
          <xsl:element name="table">
            <xsl:attribute name="class">lst</xsl:attribute>
            <xsl:attribute name="width">100%</xsl:attribute>
            <xsl:apply-templates select="property">
              <xsl:sort select="@name"/>
            </xsl:apply-templates>
          </xsl:element>
          </td>
        </xsl:element>
        <!-- ### <tr id=CurObj_prop_table ... -->
      </table>
      </td></tr>
      </xsl:if>
      <xsl:if test="event">
      <td>&#160;&#160;&#160;&#160;</td>
      <td><table>
        <tr>
        <xsl:element name="td">
          <xsl:attribute name="class">hdr</xsl:attribute>
          <xsl:attribute name="colspan">2</xsl:attribute>
          <xsl:attribute name="bgcolor">BISQUE</xsl:attribute>
          <xsl:attribute name="onclick">
          document.all.<xsl:value-of select="concat($ParentName,'_',$CurObjName)"/>_evnt_table.style.display=(document.all.<xsl:value-of select="concat($ParentName,'_',$CurObjName)"/>_evnt_table.style.display=='none')?'block':'none';
          </xsl:attribute>
          Events&#160;[<xsl:value-of select="count(event)"/>]
        </xsl:element>
        </tr>
        <!-- <tr id=CurObj_evnt_table ... -->
        <xsl:element name="tr">
          <xsl:attribute name="id">
            <xsl:value-of select="concat($ParentName,'_',$CurObjName)"/>_evnt_table</xsl:attribute>
            <xsl:attribute name="style">display:none</xsl:attribute>
          <td>&#160;&#160;&#160;&#160;</td><td>
          <xsl:element name="table">
            <xsl:attribute name="class">lst</xsl:attribute>
            <xsl:attribute name="width">100%</xsl:attribute>
            <xsl:apply-templates select="event">
              <xsl:sort select="@name"/>
            </xsl:apply-templates>
          </xsl:element>
          </td>
        </xsl:element>
        <!-- ### <tr id=CurObj_evnt_table ... -->
      </table></td>
      </xsl:if>
      </table>
    </td>
    <xsl:text disable-output-escaping="yes">&#60;/tr></xsl:text>
    </xsl:element>
  <xsl:text>&#xA;</xsl:text>
</xsl:template>
<!--   -->
<xsl:template match="library">
  <xsl:variable name="CurLib" select="@name"/>
  <tr>
  <!-- <td class="hdr" colspan="2" bgcolor="ORANGE"> -->
  <xsl:element name="td">
    <xsl:attribute name="class">hdr</xsl:attribute>
    <xsl:attribute name="colspan">2</xsl:attribute>
    <xsl:attribute name="bgcolor">ORANGE</xsl:attribute>
    <xsl:attribute name="onclick">
    document.all.<xsl:value-of select="$CurLib"/>_elems.style.display=(document.all.<xsl:value-of select="$CurLib"/>_elems.style.display=='none')?'block':'none';
    </xsl:attribute>
    <xsl:value-of select="@name"/>
    <xsl:if test="@description">&#160;&#160;<span class="descB"><xsl:value-of select="@description"/></span></xsl:if>
  </xsl:element>
  <!--/td-->
  </tr>
    <!-- <tr id=CurLang_elems ... -->
    <xsl:element name="tr">
      <xsl:attribute name="id">
        <xsl:value-of select="$CurLib"/>_elems</xsl:attribute>
        <xsl:attribute name="style">display:none</xsl:attribute>
      <td>
      <xsl:element name="table">
        <xsl:attribute name="class">lst</xsl:attribute>
        <xsl:attribute name="width">100%</xsl:attribute>
        <xsl:apply-templates select="property">
          <xsl:sort select="@name"/>
        </xsl:apply-templates>
      </xsl:element>
      </td>
      <td><table>
      <!--   -->
      <xsl:if test="object">
        <tr><td>&#160;&#160;&#160;&#160;</td><td>
        <table>
        <tr>
        <xsl:element name="td">
          <xsl:attribute name="class">hdr</xsl:attribute>
          <xsl:attribute name="colspan">2</xsl:attribute>
          <xsl:attribute name="bgcolor">BISQUE</xsl:attribute>
          <xsl:attribute name="onclick">
          document.all.<xsl:value-of select="$CurLib"/>_obj_table.style.display=(document.all.<xsl:value-of select="$CurLib"/>_obj_table.style.display=='none')?'block':'none';
          </xsl:attribute>
          Objects&#160;[<xsl:value-of select="count(object)"/>]
        </xsl:element>
        </tr>
        <!-- <tr id=CurLib_obj_table ... -->
        <xsl:element name="tr">
          <xsl:attribute name="id"><xsl:value-of select="$CurLib"/>_obj_table</xsl:attribute>
          <xsl:attribute name="style">display:none</xsl:attribute>
          <td>&#160;&#160;&#160;&#160;</td><td>
          <xsl:element name="table">
            <xsl:attribute name="class">lst</xsl:attribute>
            <xsl:attribute name="width">100%</xsl:attribute>
            <xsl:apply-templates select="object">
              <xsl:with-param name="ParentName" select="$CurLib"/>
              <xsl:sort select="@name"/>
            </xsl:apply-templates>
          </xsl:element>
          </td>
        </xsl:element>
        <!-- ### <tr id=CurLib_obj_table ... -->
        </table>
        </td></tr>
      </xsl:if>
    </table></td>
  </xsl:element>
  <xsl:text>&#xA;</xsl:text>
</xsl:template>
</xsl:stylesheet>
